<?php
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
# Or, point your browser to http://www.gnu.org/copyleft/gpl.html
#
#======================================================
#  DESCRIPTION:  OScam Info for oscam 1.0+
# REQUIREMENTS:  php, webserver + curl/mod_curl
#       AUTHOR:  paramite
#      CREATED:  16.08.2011 22:32:11
#      CHANGES:  18.10.2011
#======================================================

$VERSION = "1.3.2";

require("config.global.php");
require("lang/".LANGUAGE.".inc.php");
require("class.auth.php");
$isCurl = (in_array('curl', get_loaded_extensions()))?true:false;

$auth = new auth();

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>OScamInfoPHP <?php echo $VERSION;?></title>
<link rel="stylesheet" type="text/css" href="themes/<?php echo OSCAM_STYLE;?>/easyui.css">
<link rel="stylesheet" type="text/css" href="themes/icon.css">
<link rel="stylesheet" type="text/css" href="themes/style.css">
<link rel="icon" href="favicon.ico" type="image/x-icon">
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon"> 
<style type="text/css">
 #content{
         width:<?php echo floor($auth->sizeFaktor*775);?>px;
         margin-left:-<?php echo floor($auth->sizeFaktor*775/2)+16;?>px;
 }
</style>

<script type="text/javascript" src="js/jquery-1.6.min.js"></script>
<script type="text/javascript" src="js/jquery.easyui.min.js"></script>
<script type="text/javascript" src="js/datagrid-detailview.js"></script>
<script type="text/javascript" src="js/jquery.flot.js"></script>
 <!--[if IE]><script type="text/javascript" src="js/excanvas.min.js"></script><![endif]-->
<script type="text/javascript" src="js/action.js"></script>

<script type="text/javascript" src="lang/easyui-lang-<?php echo LANGUAGE;?>.js"></script>
    <script type="text/javascript">
    
      var theRefresh = null;
      var derTitel = "<?php echo ECM_HISTORY;?>";
      var aktuellerTab = null;
      
      var initTabs = new Array();
      var rZeit = <?php echo REFRESH_SECS;?>;
      
      var nativid = [];
    	
     $(function(){
	      $('#aa').tabs({  
	      tools:[{
	            text:'<?php $auth->getOscams();?>',
	            id:'serverLabel',
	            iconCls:'icon-smartcard',
	    	            handler: function(){
	    		   	     $('#selReader').window('open');
	    			     }	            
	    	   },{
	            text:'logout',
	            iconCls:'icon-cancel',
	    	            handler: function(){
	    		   	     self.location.href="index.php?logoff";
	    			     }
	    	   }
	    	   ],
           onSelect:function(){  
			     var pp = $('#aa').tabs('getSelected');  
           aktuellerTab = pp.panel('options').bodyCls;
           autoRefresh(aktuellerTab);
           if($.inArray(aktuellerTab, initTabs) > -1) return;
           initTabs.push(aktuellerTab);
           mydatagrid('<?php echo SEARCH_FOR;?>');
           }  
         }); 
         
         $('#selreaders').combobox({
            formatter:function(row){
        	      var imageFile = 'images/smartcard1.png';
	              return '<img class="item-img" src="'+imageFile+'"/><span class="item-text">'+row.text+'</span>';
        	      }
            });
        });
		
    </script>
</head>
<body>
<?php if($auth->isAuth()):?>
<div id="content" class="head"><div>OScamInfoPHP Ver. <?php echo $VERSION;?> by <a href="mailto:paramite@gmx.net">paramite</a> || <a href="http://streamboard.gmc.to/wbb2/thread.php?threadid=32717" target="_blank">Streamboard support thread</a></div></div>
<div id="content">
<?php if(defined("CUSTOM_NOTICE") && CUSTOM_NOTICE!=""):?>
<div class="easyui-panel" title="<?php echo CUSTOM_NOTICE_TITLE;?>" collapsible="true" style="width:<?php echo floor($auth->sizeFaktor*775);?>px;height:auto;padding:10px">
<?php echo CUSTOM_NOTICE;?>
</div>
<div style="width:<?php echo floor($auth->sizeFaktor*775);?>px;height:5px"></div>
<?php endif;?>
<?php if($isCurl):?>
    <div id="d2" 
         class="easyui-dialog" 
         title="<?php echo SEARCH_TITLE;?>" 
         style="width:170px;height:80px;padding:10px"
	 closed="true" 
         modal="true" 
         resizable="false">
      <input id="ss"></input>
    </div>
    <div id="thecake" 
         class="easyui-dialog" 
         title="" 
         style="z-index:100;width:600px;height:565px;padding:10px"
	 closed="true" 
         modal="true" 
         resizable="false">
      <div id="cakegraph" class="graph"></div>
    </div>

<div id="selReader" class="easyui-dialog" closed="true" modal="true" title="<?php echo CHOOSE_SERVER;?>" style="padding:10px;width:250px;height:100px;">
<?php $auth->getOscams(false);?>
</div>
    
<div id="aa" class="easyui-tabs" style="width:<?php echo floor($auth->sizeFaktor*775);?>px;height:600px;">
<?php if($auth->isTab("clients")):?>
  <div title="<?php echo LNG_OSCAMCLIENTS;?>" iconCls="icon-clients" bodyCls="#dgc">
    <table id="dgc" class="easyui-datagrid" style="width:<?php echo floor($auth->sizeFaktor*751);?>px;font-size:30px"
	    url="ajax.php?type=json&data=clients"
	    rownumbers="false"
  	    fit="true" 
            border="false"
            singleSelect="true"
            pageSize="30"
	    pagination="true">
	<thead>
	    <tr>
	        <th field="identname" width="<?php echo floor($auth->sizeFaktor*90);?>" sortable="true"><?php echo LNG_CLIENT;?></th>
	        <th field="country" width="<?php echo floor($auth->sizeFaktor*20);?>" sortable="true"><?php echo LNG_CTY;?></th>
	        <th field="protocol" width="<?php echo floor($auth->sizeFaktor*110);?>" sortable="true"><?php echo LNG_PROTOCOL;?></th>
	        <th field="request" width="<?php echo floor($auth->sizeFaktor*170);?>" sortable="true"><?php echo LNG_LAST_USED_SHARE;?></th>
	        <th field="ecmtime" width="<?php echo floor($auth->sizeFaktor*50);?>" sortable="true"><?php echo LNG_ECM;?></th>	        
	        <th field="loggedin" width="<?php echo floor($auth->sizeFaktor*115);?>" sortable="true"><?php echo LNG_LOGGED_IN;?></th>
	        <th field="lastactivity" width="<?php echo floor($auth->sizeFaktor*85);?>" sortable="true"><?php echo LNG_LAST_ACTIVITY;?></th>
	        <th field="connection" width="<?php echo floor($auth->sizeFaktor*70);?>" sortable="true"><?php echo LNG_CONNECTION;?></th>
	    </tr>
	</thead>
    </table>
  </div>
<?php endif;?>

<?php if($auth->isTab("readers")):?>
  <div title="<?php echo LNG_OSCAMREADER;?>" iconCls="icon-smartcard" bodyCls="#dg">
    <table id="dg" class="easyui-datagrid" style="width:<?php echo floor($auth->sizeFaktor*751);?>px;font-size:30px"
	    url="ajax.php?type=json&data=reader"
	    rownumbers="false"
  	    fit="true" 
            border="false"
            singleSelect="true"
            pageSize="30"
	    pagination="true">
	<thead>
	    <tr>
	        <th field="identname" width="<?php echo floor($auth->sizeFaktor*180);?>" sortable="true"><?php echo LNG_READER;?></th>
	        <th field="country" width="<?php echo floor($auth->sizeFaktor*20);?>" sortable="true"><?php echo LNG_CTY;?></th>
	        <th field="protocol" width="<?php echo floor($auth->sizeFaktor*110);?>" sortable="true"><?php echo LNG_PROTOCOL;?></th>
	        <th field="request" width="<?php echo floor($auth->sizeFaktor*160);?>" sortable="true"><?php echo LNG_LAST_USED_SHARE;?></th>
	        <th field="ecmtime" width="<?php echo floor($auth->sizeFaktor*50);?>" sortable="true"><?php echo LNG_ECM;?></th>	        	        
	        <th field="loggedin" width="<?php echo floor($auth->sizeFaktor*115);?>" sortable="true"><?php echo LNG_LOGGED_IN;?></th>
	        <th field="connection" width="<?php echo floor($auth->sizeFaktor*82);?>" sortable="true"><?php echo LNG_CONNECTION;?></th>
	    </tr>
	</thead>
    </table>
  </div>
<?php endif;?>

<?php if($auth->isTab("pairs")):?>
  <div title="<?php echo LNG_OSCAMPAIRS;?>" iconCls="icon-groups" bodyCls="#dgg">
    <table id="dgg" class="easyui-datagrid" style="width:<?php echo floor($auth->sizeFaktor*751);?>px;font-size:30px"
	    url="ajax.php?type=json&data=pairs"
	    rownumbers="false"
  	    fit="true" 
            border="false"
            singleSelect="true"
            pageSize="30"
	    pagination="true">
	<thead>
	    <tr>
	        <th field="readername" width="<?php echo floor($auth->sizeFaktor*375);?>" sortable="true"><?php echo LNG_READER;?></th>
	        <th field="clientname" width="<?php echo floor($auth->sizeFaktor*375);?>" sortable="true"><?php echo LNG_CLIENT;?></th>
	    </tr>
	</thead>
    </table>
  </div>
<?php endif;?>

<?php if($auth->isTab("log")):?>
  <div title="<?php echo LNG_OSCAMLOG;?>" iconCls="icon-log" bodyCls="#dgl">
    <table id="dgl" class="easyui-datagrid" style="width:<?php echo floor($auth->sizeFaktor*751);?>px;font-size:30px"
	    url="ajax.php?type=json&data=log"
	    rownumbers="false"
  	  fit="true" 
      border="false"
      singleSelect="true"
      pageSize="30"
      nowrap="false" 
	    pagination="true">
	<thead>
	    <tr>
	        <th field="logoutput" width="<?php echo floor($auth->sizeFaktor*731);?>" sortable="true"><?php echo LNG_LOGOUT;?></th>
	    </tr>
	</thead>
    </table>
  </div>
<?php endif;?>
</div>
<?php else:?>
<span class="reader_error" style="font-weight:bold"><?php echo NO_CURL;?></span>
<?php endif;?>
</div>
<?php else:?>
<div id="w" 
     class="easyui-window" 
     title="<?php echo $auth->errortext;?>" 
     closable="false" 
     resizable="false" 
     maximizable="false";
     minimizable="false";
     collapsible="false";
     style="width:300px;height:150px;padding:5px">
    <div class="easyui-layout" fit="true">
    <div region="center" border="false" style="padding:10px;background:#fff;border:1px solid #ccc;overflow:hidden">
    <form id="ff" action="index.php" method="post" style="overflow:hidden">
     <table>
      <tr>
       <td style="color:#15428b"><?php echo LOGIN_USER;?>:</td>
       <td><input name="user" type="text" style="width:140px"></input></td>
      </tr>
      <tr>
       <td style="color:#15428b"><?php echo LOGIN_PASS;?>:</td>
       <td><input name="pass" type="password" style="width:140px"></input></td>
      </tr>
    </table>
    <input name="fullscreen" type="hidden">
    <script>
    document.getElementById('ff').fullscreen.value=screen.width-30;
    </script>
    </form>

    </div>
    <div region="south" border="false" style="text-align:right;height:30px;margin-top:5px">
	<a class="easyui-linkbutton" iconCls="icon-ok" href="javascript:void(0)" onclick="document.getElementById('ff').submit()">Ok</a>
    </div>
</div>
<?php endif;?>
</body>
</html>